Support » Plugin: Dropdown multisite selector » Dropdown not working in 5.4.1 (Solution)

  • Resolved toremo

    (@toremo)


    wp_enqueue_script( 'dms-js-front', DMS_PLUGINS_DIR_REL . '/assets/js/dms-front.js' , array(jquery), '1.0.0', true );

    This solves the problem of a not working drop down in the WordPress.org Version of the plugin. Tested in WP 5.4.1 Multisite and working just fine.

    There is a pull request on github.
    https://github.com/alordiel/dropdown-multisite-selector
    which fixes that issue.

    • This topic was modified 1 year, 7 months ago by toremo.
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author alordiel

    (@alordiel)

    Hello,
    Thank you for the report and the fix (note that you need to add quotes to array('jquery'), but I guess this was typo). I have updated the code, and actually did a bit of refreshing of what I have written 3 years ago.

    Regards,
    Al.

    Thread Starter toremo

    (@toremo)

    Thanks it works great now – also in DIVI without further changes. Thanks a lot!

    Thanks for enabeling also

    //show all sites from the WMN
    function showAll() {
    
    	$out             = '';
    	$sites_arguments = array(
    		'public'  => 1,
    		'archive' => 0,
    		'deleted' => 0,
    		'spam'    => 0,
    		'orderby' => array( 'path' ),
    	);
    
    	apply_filters('dms_sites_arguments', $sites_arguments);

    Is there a way to choose actually those settings which woudl be great if you have (archived sites or even deleted ones – especially when many are inside such a multisite.

    If it would be possible to choose also a site category it would help to build easily dropdowns for only selected categories.

    Thanks a lot for that plugin which is a really great help anyway!


    Just realized that even the plugin had been updated to 0.7 and the working version of 5.4.1 it still shows the banner that the plugin does not get maintained which is simply wrong as it gets well maintained (immediately I woudl even say) after a bug was posted.

    “This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.
    Favorite Dropdown multisite selector”

    This is simply WRONG and NOT TRUE! I hope WordPress.org Team will fix that!

    • This reply was modified 1 year, 7 months ago by toremo.
    • This reply was modified 1 year, 7 months ago by toremo.
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Dropdown not working in 5.4.1 (Solution)’ is closed to new replies.